| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
OD::IconFile Class Reference
General

`#include <odiconfile.h>`

Inheritance diagram for OD::IconFile:
[legend]

## Public Types
typedef OD::StdActionType | StdActionType
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| IconFile (const char *identifier=nullptr)
| IconFile (StdActionType)
const BufferStringSet & | fileNames () const
bool | haveData () const
void | set (const char *identifier)
void | set (StdActionType t)
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | getDefaultIconSubFolderName ()
static const char * | getIconSubFolderName ()
static void | getIconSubFolderNames (BufferStringSet &)
static const char * | getIdentifier (StdActionType)
static bool | isPresent (const char *identifier)
static const char * | notFoundIconFileName ()
static void | reInit ()

## Protected Member Functions
bool | findIcons (const char *)

## Protected Attributes
BufferStringSet | nms_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
void | init (const char *)

## Detailed Description

<>

## Member Typedef Documentation

## ◆ StdActionType

typedef OD::StdActionType OD::IconFile::StdActionType

## Constructor & Destructor Documentation

## ◆ IconFile() [1/2]

OD::IconFile::IconFile | ( | const char * | identifier = nullptr | ) |

## ◆ IconFile() [2/2]

OD::IconFile::IconFile | ( | StdActionType |  | ) |

## Member Function Documentation

## ◆ fileNames()

const BufferStringSet & OD::IconFile::fileNames | ( |  | ) | const
| inline

## ◆ findIcons()

bool OD::IconFile::findIcons | ( | const char * |  | ) |
| protected

## ◆ getDefaultIconSubFolderName()

static const char * OD::IconFile::getDefaultIconSubFolderName | ( |  | ) |
| static

## ◆ getIconSubFolderName()

static const char * OD::IconFile::getIconSubFolderName | ( |  | ) |
| static

## ◆ getIconSubFolderNames()

static void OD::IconFile::getIconSubFolderNames | ( | BufferStringSet & |  | ) |
| static

## ◆ getIdentifier()

static const char * OD::IconFile::getIdentifier | ( | StdActionType |  | ) |
| static

## ◆ haveData()

bool OD::IconFile::haveData | ( |  | ) | const
| inline

## ◆ init()

void OD::IconFile::init | ( | const char * |  | ) |
| private

## ◆ isPresent()

static bool OD::IconFile::isPresent | ( | const char * | identifier | ) |
| static

## ◆ notFoundIconFileName()

static const char * OD::IconFile::notFoundIconFileName | ( |  | ) |
| static

## ◆ reInit()

static void OD::IconFile::reInit | ( |  | ) |
| static

## ◆ set() [1/2]

void OD::IconFile::set | ( | const char * | identifier | ) |

## ◆ set() [2/2]

void OD::IconFile::set | ( | StdActionType | t | ) |
| inline

## Member Data Documentation

## ◆ nms_

BufferStringSet OD::IconFile::nms_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025